# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free
%define bootstrap 0

Summary:        AspectJ aspect-oriented language extension to Java
Name:           aspectj
Version:        1.6.12
Release:        %mkrel 1
Epoch:          0
License:        Eclipse Public License
URL:            http://eclipse.org/aspectj/
Group:          Development/Java
# cvs -d :pserver:anonymous@dev.eclipse.org:/cvsroot/tools/ login 
# cvs -d:pserver:anonymous@dev.eclipse.org:/cvsroot/tools/ export -r V1_6_12 org.aspectj
# for f in $(find . -name ".cvsignore"); do rm -rf $f; done
# tar czf aspectj-1.6.12-src-cvs.tar.gz org.aspectj
Source0:        aspectj-1.6.12-src-cvs.tar.gz
Source1:        aspectj-build-build.xml
Source2:        aspectj-jdtcore4aspectj-build.xml

Source5:        aspectj-1.5.3-script-aj
Source6:        aspectj-1.5.3-script-aj5
Source7:        aspectj-1.5.3-script-ajbrowser
Source8:        aspectj-1.5.3-script-ajc
Source9:        aspectj-1.5.3-script-ajdoc

Source14:       aspectjlib-1.6.12.pom
Source18:       aspectj-1.6.11-01-build-bcel.xml

Patch0:         aspectj-1.5.3-bcel-builder-build_xml.patch

Patch1:         aspectj-1.6.12-use-sys-asm.patch

Patch21:        aspectj-1.6.11-ant18.patch
Patch22:        aspectj-1.6.11-use-sys-docbookxsl.patch
Patch23:        aspectj-1.6.11-use-xsltproc.patch
Patch24:        aspectj-1.6.11-crosslink.patch
Patch25:        aspectj-1.6.11-docs-ajc_xml.patch
Patch26:        aspectj-1.6.11-bcel-builder.patch
Patch27:        aspectj-1.6.11-modules-dt_core-RuntimeException.patch

BuildRequires:  jpackage-utils >= 0:1.7.3
BuildRequires:  junit
BuildRequires:  ant
BuildRequires:  ant-junit
#BuildRequires:  java-rpmbuild >= 0:1.4.2
BuildRequires:  eclipse-platform
BuildRequires:  eclipse-equinox-osgi
BuildRequires:  java-devel >= 0:1.6.0

BuildRequires:  docbook-style-xsl
BuildRequires:  xsltproc

#BuildRequires:  apache-commons-beanutils
#BuildRequires:  apache-commons-collections
#BuildRequires:  apache-commons-digester
#BuildRequires:  asm2
BuildRequires:  apache-commons-logging
BuildRequires:  jdiff
BuildRequires:  jdom
BuildRequires:  objectweb-asm
BuildRequires:  regexp
BuildRequires:  saxon
BuildRequires:  xalan-j2
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-apis

BuildRequires:  java-javadoc
BuildRequires:  objectweb-asm-javadoc

#Requires:  apache-commons-beanutils
#Requires:  apache-commons-collections
#Requires:  apache-commons-digester
Requires:  apache-commons-logging
Requires:  regexp
Requires:  saxon
Requires:  xalan-j2
Requires:  xerces-j2
Requires:  xml-commons-apis
Requires:  jpackage-utils >= 0:1.7.2
BuildArch: noarch


%description
AspectJ is a seamless aspect-oriented language 
extension to Java(tm). It can be used to cleanly 
modularize the crosscutting structure of concerns 
such as exception handling, multi-object protocols, 
synchronization, performance optimizations, and 
resource sharing. When implemented in a 
non-aspect-oriented fashion, the code for these concerns 
typically becomes spread out across entire programs. 
AspectJ controls such code-tangling and makes the 
underlying concerns more apparent, making programs 
easier to develop and maintain. The project goal 
is to support the AspectJ compiler and core tools. 

%package eclipse-plugins
Summary:        Eclipse Plugins for %{name}
Group:          Development/Java
Requires:       %{name} = %{version}
Requires:       eclipse-platform

%description eclipse-plugins
%{summary}.

%package installer
Summary:        Installer for %{name}
Group:          Development/Java

%description installer
%{summary}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
%{summary}.

%package manual
Summary:        Docs for %{name}
Group:          Development/Java

%description manual
%{summary}.

%prep
%setup -q -n org.%{name}
cp %{SOURCE1} modules/build/build-build.xml
cp modules/lib/bcel/bcel-src.zip modules/bcel-builder
cp modules/lib/bcel/bcel-verifier-src.zip modules/bcel-builder
#cp %{SOURCE3} modules/bcel-builder
cp %{SOURCE18} modules/bcel-builder/build-bcel.xml
#cp %{SOURCE3} modules/org.eclipse.jdt.core/jdtcore-for-aspectj-src.zip
cp %{SOURCE2} modules/org.eclipse.jdt.core/build.xml

# remove all binary libs
# bundled aspectjrt.jar and aspectjtools.jar are 0 byte, though required
find . -name "*.jar" -a ! -name "aspectj*.jar" -exec rm {} \;

# next has been rebuilt from sources
# throw 4 jakarta-commons from JPP into one jar
%if 0
( cd modules/lib/commons
  jar xf $(find-jar commons-beanutils)
  jar xf $(find-jar commons-collections)
  jar xf $(find-jar commons-digester)
  jar xf $(find-jar commons-logging)
  jar cf commons.jar org
)
%else
ln -sf $(build-classpath commons-logging) modules/lib/commons/commons.jar
%endif

ln -sf $(build-classpath ant) modules/lib/ant/lib/ant.jar
ln -sf $(build-classpath ant-launcher) modules/lib/ant/lib/ant-launcher.jar
ln -sf $(build-classpath ant/ant-junit) modules/lib/ant/lib/ant-junit.jar
ln -sf $(build-classpath ant) modules/lib/ant/lib/ant-nodeps.jar
ln -sf $(build-classpath xerces-j2) modules/lib/ant/lib/xercesImpl.jar
ln -sf $(build-classpath xml-commons-apis) modules/lib/ant/lib/xml-apis.jar
ln -sf $(build-classpath jdiff) modules/lib/jdiff/jdiff.jar
#ln -sf $(build-classpath asm2/asm2) modules/lib/asm/asm-2.2.1.jar
ln -sf $(build-classpath objectweb-asm/asm) modules/lib/asm/asm-3.1.jar
ln -sf $(build-classpath objectweb-asm/asm) modules/lib/asm/asm-3.3.1.renamed.jar
ln -sf $(build-classpath junit) modules/lib/junit/junit.jar
ln -sf $(build-classpath regexp) modules/lib/regexp/jakarta-regexp-1.2.jar
ln -sf $(build-classpath saxon) modules/lib/saxon/saxon.jar

pushd modules/org.eclipse.jdt.core
  mkdir src
  cd src
  unzip -qq ../jdtcore-for-aspectj-src.zip
  rm -rf javax
  rm -rf org/apache
  rm -rf org/w3c
  rm -rf org/xml
  cd ..
popd

%patch0 -b .sav0
%patch1 -p0
%patch21 -p0
%patch22 -p0
%patch23 -p0
%patch24 -p0
%patch25 -p0
%patch26 -p0

rm -rf modules/lib/ext/jrockit/*
rm -rf modules/loadtime/src/org/aspectj/weaver/loadtime/JRockitAgent.java

rm -rf modules/tests/
rm -rf modules/testing/
rm -rf modules/org.aspectj.ajdt.core/scripts/*.py

mv modules/build/build-properties.xml modules/build/build-properties.xml.orig
sed -e 's|"DEVELOPMENT"|"%{version}"|' modules/build/build-properties.xml.orig \
     > modules/build/build-properties.xml

# Avoid use of eclipse's OperationCanceledException
for j in $(find . -name "*.java" -exec grep -l "org\.eclipse\.core\.runtime\.OperationCanceledException" {} \;); do
    sed -i -e '/import org\.eclipse\.core\.runtime\.OperationCanceledException/d' $j
    sed -i -e 's/org\.eclipse\.core\.runtime\.OperationCanceledException/org\.eclipse\.core\.runtime\.OperationCanceledException/' $j
    sed -i -e 's/OperationCanceledException/RuntimeException/g' $j
done
# FIXME
%patch27 -p0

%build
export JAVA_HOME=%{_jvmdir}/java
export ANT_OPTS="-Xmx1024M"

#export OPT_JAR_LIST="ant/ant-junit junit ant/ant-nodeps"

# now for eclipse 3.7.X
export CLASSPATH=""
CLASSPATH=$CLASSPATH:$(build-classpath ant)
CLASSPATH=${CLASSPATH}:$(ls %{_libdir}/eclipse/plugins/org.eclipse.core.contenttype_*.jar)
CLASSPATH=${CLASSPATH}:$(ls %{_libdir}/eclipse/plugins/org.eclipse.core.filesystem_*.jar)
CLASSPATH=${CLASSPATH}:$(ls %{_libdir}/eclipse/plugins/org.eclipse.core.jobs_*.jar)
CLASSPATH=${CLASSPATH}:$(ls %{_libdir}/eclipse/plugins/org.eclipse.core.resources_*.jar)
CLASSPATH=${CLASSPATH}:$(ls %{_libdir}/eclipse/plugins/org.eclipse.core.runtime_*.jar)
CLASSPATH=${CLASSPATH}:$(ls %{_libdir}/eclipse/plugins/org.eclipse.equinox.common_*.jar)
CLASSPATH=${CLASSPATH}:$(ls %{_libdir}/eclipse/plugins/org.eclipse.equinox.preferences_*.jar)
CLASSPATH=${CLASSPATH}:$(ls %{_libdir}/eclipse/plugins/org.eclipse.equinox.registry_*.jar)
CLASSPATH=${CLASSPATH}:$(ls %{_libdir}/eclipse/plugins/org.eclipse.equinox.app_*.jar)
CLASSPATH=${CLASSPATH}:$(ls %{_libdir}/eclipse/plugins/org.eclipse.jface.text_*.jar)
CLASSPATH=${CLASSPATH}:$(ls %{_libdir}/eclipse/plugins/org.eclipse.osgi_*.jar)
CLASSPATH=${CLASSPATH}:$(ls %{_libdir}/eclipse/plugins/org.eclipse.osgi.util_*.jar)
CLASSPATH=${CLASSPATH}:$(ls %{_libdir}/eclipse/plugins/org.eclipse.text_*.jar)
CLASSPATH=${CLASSPATH}:$(ls %{_libdir}/eclipse/plugins/org.eclipse.update.configurator_*.jar)


# rebuild jdtcore-for-aspectj.jar from sources
pushd modules/org.eclipse.jdt.core
export ASPECTJ_HOME=$RPM_BUILD_DIR/org.aspectj/modules/lib/aspectj
%java -classpath "$ASPECTJ_HOME/lib/aspectjtools.jar:$ASPECTJ_HOME/lib/aspectjrt.jar:%{_jvmdir}/java/lib/tools.jar:$CLASSPATH" -Xmx384M org.aspectj.tools.ajc.Main -sourceroots src -d build-classes
ant jar
popd

#cp modules/org.eclipse.jdt.core/jdtcore-for-aspectj.jar.no modules/org.eclipse.jdt.core/jdtcore-for-aspectj.jar 

pushd modules/bcel-builder
CLASSPATH=$CLASSPATH:$(build-classpath regexp jdom):$PWD/bin/bcel.jar:$PWD/bin/bcel-verifier.jar
ant -f build-bcel.xml
cp -pr src src-temp
# TODO
cp -pr bin/bcel.jar .
cp -pr bin/bcel-verifier.jar ..
ant buildTheJars push
popd
sed -i "s|&ajc;||" modules/docs/devGuideDB/devguide.xml
# rebuild the build-module from sources
pushd modules/build
ant -f build-build.xml
# do the product build
touch local.properties
ant -Dbuild.sysclasspath=first
# do the release build
ant -f release/build.xml \
       -Dversion=%{version} -Dskip.cvs=true \
       -Daspectj.modules.dir=$(pwd)/.. \
       -Djava15.home=%{_jvmdir}/java \
       -Drun.14.only=false \
       -Dmin.vm=15 \
       -Dmax.vm=15 \
       install \
    | tee build-log-release-aspectj-%{version}.txt
# do the test build
ant -f release/build.xml \
       -Dversion=%{version} -Dskip.cvs=true \
       -Daspectj.modules.dir=$(pwd)/.. \
       -Djava15.home=%{_jvmdir}/java \
       -Dskip.build=true \
       -Drun.14.only=false \
       -Dmin.vm=15 \
       -Dmax.vm=15 \
       product-tests \
    | tee test-log-release-aspectj-%{version}.txt
popd
pushd modules/org.aspectj.lib
ant \
  -Dant.build.javac.source=1.5 \
  -Dant.build.javac.target=1.5 \
  -Daspectjlib.out.jar=aspectjlib.jar \
  -f build-aspectjlib.xml \
  aspectjlib
  cp -p aspectjlib.jar ../aj-build/dist/tools/lib/
popd

%install
rm -rf %{buildroot}
# jars
install -d -m 0755 %{buildroot}%{_javadir}

install -m 0644 modules/aj-build/dist/tools/lib/%{name}lib.jar \
  %{buildroot}%{_javadir}/%{name}lib.jar
install -m 0644 modules/aj-build/dist/tools/lib/%{name}rt.jar \
  %{buildroot}%{_javadir}/%{name}rt.jar
install -m 0644 modules/aj-build/dist/tools/lib/%{name}tools.jar \
  %{buildroot}%{_javadir}/%{name}tools.jar
install -m 0644 modules/aj-build/dist/tools/lib/%{name}weaver.jar \
  %{buildroot}%{_javadir}/%{name}weaver.jar

install -m 0644 modules/aj-build/dist/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}installer.jar

#  poms, depmap
install -d -m 0755 %{buildroot}%{_mavenpomdir}
install -m 0644 %{SOURCE14} %{buildroot}%{_mavenpomdir}/JPP-%{name}lib.pom
%add_maven_depmap JPP-%{name}lib.pom %{name}lib.jar -a "%{name}:%{name}lib"

sed -i "s|<version>ASPECTJVERSION</version>|<version>%{version}</version>|" modules/build/%{name}rt.pom
install -m 0644 modules/build/%{name}rt.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}rt.pom
%add_maven_depmap JPP-%{name}rt.pom %{name}rt.jar -a "%{name}:%{name}rt"

sed -i "s|<version>ASPECTJVERSION</version>|<version>%{version}</version>|" modules/build/%{name}tools.pom
install -m 0644 modules/build/%{name}tools.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}tools.pom
%add_maven_depmap JPP-%{name}tools.pom %{name}tools.jar -a "%{name}:%{name}tools"

sed -i "s|<version>ASPECTJVERSION</version>|<version>%{version}</version>|" modules/build/%{name}weaver.pom
install -m 0644 modules/build/%{name}weaver.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}weaver.pom
%add_maven_depmap JPP-%{name}weaver.pom %{name}weaver.jar -a "%{name}:%{name}weaver"

# plugins
install -d -m 0755 %{buildroot}%{_datadir}/eclipse/plugins
install -d -m 0755 %{buildroot}%{_javadir}/%{name}-eclipse

install -d -m 0755 %{buildroot}%{_javadir}/%{name}-eclipse/org.%{name}.ajde
cp -pr modules/aj-build/dist/ide/eclipse/org.aspectj.ajde/* %{buildroot}%{_javadir}/%{name}-eclipse/org.%{name}.ajde
pushd %{buildroot}%{_javadir}/%{name}-eclipse/org.%{name}.ajde
rm %{name}rt.jar
ln -sf ../../%{name}rt.jar .
rm %{name}tools.jar
ln -sf ../../%{name}tools.jar .
popd
ln -sf %{_javadir}/%{name}-eclipse/org.%{name}.ajde %{buildroot}%{_datadir}/eclipse/plugins/org.%{name}.ajde

install -d -m 0755 %{buildroot}%{_javadir}/%{name}-eclipse/org.%{name}.ajde.doc
cp -pr modules/aj-build/dist/ide/eclipse/org.%{name}.ajde.doc/* %{buildroot}%{_javadir}/%{name}-eclipse/org.%{name}.ajde.doc
ln -sf %{_javadir}/%{name}-eclipse/org.%{name}.ajde.doc %{buildroot}%{_datadir}/eclipse/plugins/org.%{name}.ajde.doc

install -d -m 0755 %{buildroot}%{_javadir}/%{name}-eclipse/org.%{name}.ajde.source
cp -pr modules/aj-build/dist/ide/eclipse/org.%{name}.ajde.source/* %{buildroot}%{_javadir}/%{name}-eclipse/org.%{name}.ajde.source
ln -sf %{_javadir}/%{name}-eclipse/org.%{name}j.ajde.source %{buildroot}%{_datadir}/eclipse/plugins/org.%{name}.ajde.source

install -d -m 0755 %{buildroot}%{_javadir}/%{name}-eclipse/org.%{name}.aspectjrt
cp -pr modules/aj-build/dist/ide/eclipse/org.%{name}.%{name}rt/* %{buildroot}%{_javadir}/%{name}-eclipse/org.%{name}.%{name}rt
pushd %{buildroot}%{_javadir}/%{name}-eclipse/org.%{name}.%{name}rt
rm %{name}rt.jar
ln -sf ../../%{name}rt.jar .
popd
ln -sf %{_javadir}/%{name}-eclipse/org.%{name}.%{name}rt %{buildroot}%{_datadir}/eclipse/plugins/org.%{name}.%{name}rt

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr modules/aj-build/dist/docs/doc/runtime-api %{buildroot}%{_javadocdir}/%{name}
cp -pr modules/aj-build/dist/docs/doc/weaver-api %{buildroot}%{_javadocdir}/%{name}

rm -rf modules/aj-build/dist/docs/doc/runtime-api
rm -rf modules/aj-build/dist/docs/doc/weaver-api

# manual
install -d -m 0755 %{buildroot}%{_docdir}/%{name}
cp -pr modules/aj-build/dist/docs/* %{buildroot}%{_docdir}/%{name}
ln -s %{_javadocdir}/%{name}/runtime-api %{buildroot}%{_docdir}/%{name}
ln -s %{_javadocdir}/%{name}/weaver-api %{buildroot}%{_docdir}/%{name}

# scripts
install -d -m 0755 %{buildroot}%{_bindir}
install -m 0755 %{SOURCE5} %{buildroot}%{_bindir}/aj
install -m 0755 %{SOURCE6} %{buildroot}%{_bindir}/aj5
install -m 0755 %{SOURCE7} %{buildroot}%{_bindir}/ajbrowser
install -m 0755 %{SOURCE8} %{buildroot}%{_bindir}/ajc
install -m 0755 %{SOURCE9} %{buildroot}%{_bindir}/ajdoc

# home
install -d -m 0755 %{buildroot}%{_datadir}/%{name}
install -d -m 0755 %{buildroot}%{_datadir}/%{name}/bin
ln -s %{_bindir}/aj %{buildroot}%{_datadir}/%{name}/bin/aj
ln -s %{_bindir}/aj5 %{buildroot}%{_datadir}/%{name}/bin/aj5
ln -s %{_bindir}/ajbrowser %{buildroot}%{_datadir}/%{name}/bin/ajbrowser
ln -s %{_bindir}/ajc %{buildroot}%{_datadir}/%{name}/bin/ajc
ln -s %{_bindir}/ajdoc %{buildroot}%{_datadir}/%{name}/bin/ajdoc
ln -s %{_docdir}/%{name}-%{version} %{buildroot}%{_datadir}/%{name}/doc
install -d -m 0755 %{buildroot}%{_datadir}/%{name}/lib
ln -s %{_javadir}/%{name}lib.jar %{buildroot}%{_datadir}/%{name}/lib/%{name}lib.jar
ln -s %{_javadir}/%{name}rt.jar %{buildroot}%{_datadir}/%{name}/lib/%{name}rt.jar
ln -s %{_javadir}/%{name}tools.jar %{buildroot}%{_datadir}/%{name}/lib/%{name}tools.jar
ln -s %{_javadir}/%{name}weaver.jar %{buildroot}%{_datadir}/%{name}/lib/%{name}weaver.jar

mkdir -p %{buildroot}%{_sysconfdir}/java
touch %{buildroot}%{_sysconfdir}/java/%{name}.conf


%post eclipse-plugins
rm -f %{_datadir}/eclipse/plugins/org.%{name}.ajde
ln -s %{_javadir}/%{name}-eclipse/org.%{name}.ajde %{_datadir}/eclipse/plugins/org.%{name}.ajde
rm -f %{_datadir}/eclipse/plugins/org.%{name}.ajde.doc
ln -s %{_javadir}/%{name}-eclipse/org.%{name}.ajde.doc %{_datadir}/eclipse/plugins/org.%{name}.ajde.doc
rm -f %{_datadir}/eclipse/plugins/org.%{name}.ajde.source
ln -s %{_javadir}/%{name}-eclipse/org.%{name}.ajde.source %{_datadir}/eclipse/plugins/org.%{name}.ajde.source
rm -f %{_datadir}/eclipse/plugins/org.%{name}.%{name}rt
ln -s %{_javadir}/%{name}-eclipse/org.%{name}.%{name}rt %{_datadir}/eclipse/plugins/org.%{name}.%{name}rt

%postun eclipse-plugins
if [ "$1" = "0" ]; then
  rm -f %{_datadir}/eclipse/plugins/org.%{name}.ajde
  rm -f %{_datadir}/eclipse/plugins/org.%{name}.ajde.doc
  rm -f %{_datadir}/eclipse/plugins/org.%{name}.ajde.source
  rm -f %{_datadir}/eclipse/plugins/org.%{name}.%{name}rt
fi

%files
%doc %{_docdir}/%{name}/*.html
%attr(0755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_javadir}/%{name}lib*.jar
%{_javadir}/%{name}rt*.jar
%{_javadir}/%{name}tools*.jar
%{_javadir}/%{name}weaver*.jar
%{_mavenpomdir}//JPP-%{name}*.pom
%{_mavendepmapfragdir}/%{name}
%config(noreplace) %{_sysconfdir}/java/%{name}.conf

%files eclipse-plugins
%{_javadir}/%{name}-eclipse
%ghost %{_datadir}/eclipse/plugins/*

%files installer
%{_javadir}/%{name}installer*.jar

%files javadoc
%{_javadocdir}/%{name}

%files manual
%{_docdir}/%{name}/doc
%{_docdir}/%{name}/runtime-api
%{_docdir}/%{name}/weaver-api

%changelog

* Sat Jan 28 2012 gil <gil> 0:1.6.12-1.mga2
+ Revision: 202684
- update to 1.6.12

* Tue Sep 13 2011 gil <gil> 0:1.6.11-1.mga2
+ Revision: 143053
- edit build-bcel.xml file
- update to 1.6.11
- update to 1.5.4

  + dmorgan <dmorgan>
    - Adda java-devel as buildrequires
    - Disable bootstrap

  + pterjan <pterjan>
    - imported package aspectj


* Mon Apr 28 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.5.3-2.0.1mdv2009.0
+ Revision: 197918
- bump max memory for ant
- BR asm2
- BR jdiff
- import aspectj


* Thu Feb 14 2008 Ralph Apel <r.apel at r-apel.de> - 0:1.5.3-2jpp
- Modify sources not to use eclipse's OperationCanceledException:
  Plain RuntimeException instead.
- Vendor, Distribution from macro

* Mon Jan 14 2007 Ralph Apel <r.apel at r-apel.de> - 0:1.5.3-1jpp
- Upgrade to 1.5.3
- Add home and scripts

* Wed Mar 29 2006 Ralph Apel <r.apel at r-apel.de> - 0:1.5.0-1jpp
- Upgrade to 1.5.0

* Fri Mar 24 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.2.132jpp
- Rebuild

* Thu Mar 16 2006 Ben Konrath <bkonrath@redhat.com> - 0:1.2.1-2jpp_1rh
- First Red Hat build
- Don't use build-classpath for the eclipse jars.  

* Fri Mar 10 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.2.1-2jpp
- First JPP 1.7 build
- Set JAVA_HOME

* Fri Nov 11 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.2.1-1jpp
- Upgrade to 1.2.1
- Add eclipse-plugins subpackage
- Add aspectjweaver.jar

* Fri Oct 07 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.1.1-4jpp
- Arrange for building with jpackage-utils 1.6.x

* Fri Aug 20 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.1.1-3jpp
- Build with ant-1.6.2
- Relax some requirement versions

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:1.1.1-2jpp
- Upgrade to Ant 1.6.X

* Thu Feb 12 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.1.1-1jpp
- First JPackage build
